package
{

	import org.flixel.*;

	public class MenuState extends FlxState
	{
		
		private var playButton:FlxButton;
		private var devButton:FlxButton;
		private var Title:FlxText;
		
		override public function create():void
		{
			FlxG.bgColor = 0xff000000;
			
			Title = new FlxText(0, FlxG.height / 4, FlxG.width, "Atom Planet");
			Title.setFormat(null, 8, 0xffffff, "center");
			//Title.alignment("center");
			add(Title);
			
			devButton = new FlxButton(FlxG.width/2-40,FlxG.height / 4 + 20, "Insert Site", onSite);
			devButton.soundOver = null;  //replace with mouseOver sound
			devButton.color = 0xffD4D943;
			devButton.label.color = 0xffD8EBA2;
			//add(devButton);
			
			playButton = new FlxButton(FlxG.width/2-40,FlxG.height / 4 + 50, "Click To Play", onPlay);
			playButton.soundOver = devButton.soundOver;
			playButton.color = devButton.color;
			playButton.label.color = devButton.label.color;
			add(playButton);
			
			
			FlxG.mouse.show();
			
		}
		
		override public function update():void
		{
			super.update();	
		}
		
		protected function onSite():void
		{
			
			FlxU.openURL("http://example.com/");  //replace with your site's URL 
		}
		
		protected function onPlay():void
		{
			playButton.exists = false;
			FlxG.switchState(new PlayState());
		}
		
		
	}
}

